-- 
-- File Name: coordinates_2d.1.ada
-- 
with Universal_Types;
use Universal_Types;
package Coordinates_2D is

    subtype Position is Numeric;

    type Object is private;

    function Make (X_Position : Position; Y_Position : Position) return Object;

    function X_Position (C : Object) return Position;
    function Y_Position (C : Object) return Position;

    function Center return Object;

private

    type Object is
	record
	    X : Position;
	    Y : Position;
	end record;
end Coordinates_2D;

