#!/bin/sh 
#
# db_except_cc.sh
#
# set up the planetary_motion view for use
# in the Apex tutorial - debugger module - exceptions topic using 
# Apex/ClearCase
#
vob_dir=`pwd`
#if `cleartool lsvob -s $vob_dir | nawk '{if (NF > 1) print "1" else print "0"}'`
#
#then
#	echo " "
#	echo " -- FATAL ERROR: You are not in a vob directory"
#	exit 1
#fi

ss=project1.rss
source="$APEX_HOME/doc/html/all/tutorial/example_files"

if  [ -d $ss ]  
then
		echo "+++ Using existing project1.rss Rational subsystem"	
else	
	echo "+++ Creating $ss subsystem"
        if create_subsystem $ss
        then
        	echo "+++ Created $ss" 
        else
        	echo "*** ERROR creating $ss subsystem "
        exit 1
	fi
fi
#
#
# tar the files in the correct locations.
#
cd $ss
tar xvf $source/motion_files_new 

apex link -debugging planetary_motion.2.ada
echo " "
echo " "
echo "+++ DEBUGGER TUTORIAL UPDATED FOR EXCEPTIONS HANDLING TOPIC
