with Coordinates_2D;
with Velocity_2D;
package Orbit is

    type Object is private;

    function Make (Coordinate : Coordinates_2D.Object; 
		   Velocity : Velocity_2D.Object; 
		   Initialize_Orbit : Boolean := False) return Object;

    function Coordinate (O : Object) return Coordinates_2D.Object;
    function Velocity (O : Object) return Velocity_2D.Object;

    procedure Euler_Update (O : in out Object);

private

    type Object is
	record
	    C : Coordinates_2D.Object;
	    V : Velocity_2D.Object;
	end record;

end Orbit;

