-- 
-- File Name: display.1.ada
-- 
with Screen_Io;
with Coordinates_2D;
with Velocity_2D;

package Display is
    procedure Put (C : Coordinates_2D.Object; Char : Character);
    procedure Put (L : Screen_Io.Line; C : Screen_Io.Column; Str : String);

    procedure Put_Summary_Title (L : Screen_Io.Line; C : Screen_Io.Column);
    procedure Put_Summary_Info (L : Screen_Io.Line; 
				C : Screen_Io.Column; 
				Planet : Character; 
				Coordinates : Coordinates_2D.Object; 
				Velocity : Velocity_2D.Object);

    Out_Of_Bounds : exception renames Screen_Io.Out_Of_Bounds;

end Display;

