-- 
-- File Name: planet.1.ada
-- 
with Coordinates_2D;
with Velocity_2D;
generic
    Initial_Coordinates : in Coordinates_2D.Object;
    Initial_Velocity : in Velocity_2D.Object;
    Decoration : in Character;
package Planet is

    procedure Make;

    procedure Display_Planet;

    procedure Update_Orbit;

    function Current_Coordinates return Coordinates_2D.Object;
    function Current_Velocity return Velocity_2D.Object;

end Planet;

